import { request } from '/@/utils/service';


const apiPrefix = '/api/choice/goods/';

export function getTableData(query: any) {
  return request({
    url: apiPrefix,
    method: 'GET',
    params: query,
  });
}

export function getGroupOptions() {
  return request({
    url: apiPrefix + 'tags/',
    method: 'GET',
  });
}

export function getBrandsOptions(query: any) {
  return request({
    url:  apiPrefix + 'brands/',
    method: 'GET',
    params: query,
  });
}

export function updateShopDetail(body: any) {
  return request({
    url: apiPrefix + `${body.id}/`,
    method: 'POST',
    params: { partial: body.partial },
    data: body.formData,
  });
}
